<?php 

require_once( get_template_directory() . '/inc/widgets/new-widgets/class-base-widget.php' );
require_once( get_template_directory() . '/inc/widgets/new-widgets/class-post-with-thumbnail.php' );
require_once( get_template_directory() . '/inc/widgets/new-widgets/class-profile-card.php' );
function eMag_register_widget(){
	$st_widgets = array(
		'eMag_Post_With_Thumb_Widget',
		'eMag_Profile_Card_Widget'
	);
	foreach ( $st_widgets as $widget ) {			
		register_widget( $widget );
	}
}
add_action( 'widgets_init', 'eMag_register_widget' );

function eMag_widget_scripts(){
	// widget style
	wp_enqueue_style( 'widget', get_template_directory_uri() . '/inc/widgets/new-widgets/assets/widget.css' );
}
add_action( 'wp_enqueue_scripts', 'eMag_widget_scripts' );